Oracle Linux 7 : ipsilon (ELSA-2016-2809)

Medium Nessus Plugin ID 95041


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2016:2809 :

An update for ipsilon is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The ipsilon packages provide the Ipsilon identity provider service for federated single sign-on (SSO). Ipsilon links authentication providers and applications or utilities to allow for SSO. It includes a server and utilities to configure Apache-based service providers.

Security Fix(es) :

* A vulnerability was found in ipsilon in the SAML2 provider's handling of sessions. An attacker able to hit the logout URL could determine what service providers other users are logged in to and terminate their sessions. (CVE-2016-8638)

This issue was discovered by Patrick Uiterwijk (Red Hat) and Howard Johnson.


Update the affected ipsilon packages.

See Also

Plugin Details

Severity: Medium

ID: 95041

File Name: oraclelinux_ELSA-2016-2809.nasl

Version: $Revision: 2.4 $

Type: local

Agent: unix

Published: 2016/11/22

Modified: 2018/02/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND


Base Score: 9.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:ipsilon, p-cpe:/a:oracle:linux:ipsilon-authform, p-cpe:/a:oracle:linux:ipsilon-authgssapi, p-cpe:/a:oracle:linux:ipsilon-authldap, p-cpe:/a:oracle:linux:ipsilon-base, p-cpe:/a:oracle:linux:ipsilon-client, p-cpe:/a:oracle:linux:ipsilon-filesystem, p-cpe:/a:oracle:linux:ipsilon-infosssd, p-cpe:/a:oracle:linux:ipsilon-persona, p-cpe:/a:oracle:linux:ipsilon-saml2, p-cpe:/a:oracle:linux:ipsilon-saml2-base, p-cpe:/a:oracle:linux:ipsilon-tools-ipa, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2016/11/21

Reference Information

CVE: CVE-2016-8638

OSVDB: 147544

RHSA: 2016:2809